import { useEnumStore } from '@/stores'

const { getEnumTypeList, getEnumTypeName } = useEnumStore()

/**
 * 单据类型
 */
export enum GZBSCOrderType {
    In = 1,  // 进仓
    Out = 2,  // 出仓
}

/**
 * 获取单据类型列表
 * @returns 
 */
export function getGZBSCOrderTypeList() {
    return getEnumTypeList('GZBSCOrderType')
}

/**
 * 获取单据类型名称
 * @returns 
 */
export function getGZBSCOrderTypeName(value?: number) {
    const enums = getGZBSCOrderTypeList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取单据状态列表
 * @returns 
 */
export function getGZBSCOrderStatusList() {
    return getEnumTypeList('GZBSCOrderStatus')
}

/**
 * 获取单据状态名称
 * @returns 
 */
export function getGZBSCOrderStatusName(value?: number) {
    const enums = getGZBSCOrderStatusList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取出仓类型列表
 * @returns 
 */
export function getGZBSCOutTypeList() {
    return getEnumTypeList('GZBSCOutType')
}

/**
 * 获取出仓类型名称
 * @returns 
 */
export function getGZBSCOutTypeName(value?: number) {
    const enums = getGZBSCOutTypeList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取支付状态列表
 * @returns 
 */
export function getGZBSCPayStatusList() {
    return getEnumTypeList('GZBSCPayStatus')
}

/**
 * 获取支付状态名称
 * @returns 
 */
export function getGZBSCPayStatusName(value?: number) {
    const enums = getGZBSCPayStatusList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取支付方式列表
 * @returns 
 */
export function getGZBSCPayModeList() {
    return getEnumTypeList('GZBSCPayMode')
}

/**
 * 获取支付方式名称
 * @returns 
 */
export function getGZBSCPayModeName(value?: number) {
    const enums = getGZBSCPayModeList()
    return getEnumTypeName(enums, value)
}